ServerEvents.recipes(e=> {
    const {
        fire_crafting,
        grinding_ball,
        alloy_smelting,
        enchanting,
        painting,
        sag_milling,
        slicing,
        soul_binding,
        tank,
    } = e.recipes.enderio;
    
   //炽炉核心  
   e.remove({ output: 'forbidden_arcanus:clibano_core'})
   e.shaped('forbidden_arcanus:clibano_core',[
    'UEU', 
    'ECE', 
    'UEU'
   ], {
     U: 'forbidden_arcanus:polished_darkstone_bricks',
     E: '#forge:dusts/arcane_crystal',
     C: 'immersiveengineering:blastbrick_reinforced'
   })
   //锻造元素
   e.remove({ output: 'forbidden_arcanus:elementarium'})
   e.shaped('forbidden_arcanus:elementarium',[
    'U U', 
    'ECE', 
    'U U'
   ], {
     U: 'solarcraft:crystal',
     E: 'nwtc:alumite_ingot',
     C: 'nwtc:runes_ingot'
   })
   //锻造元素2
   e.remove({ output: 'forbidden_arcanus:divine_pact'})
   e.shaped('forbidden_arcanus:divine_pact',[
    'U U', 
    'ECE', 
    'U U'
   ], {
     U: 'solarcraft:crystal',
     E: 'solarcraft:energetic_ingot',
     C: 'forbidden_arcanus:elementarium'
   })
   //锻造元素3
   e.remove({ output: 'forbidden_arcanus:soul_crimson_stone'})
   e.shaped('forbidden_arcanus:soul_crimson_stone',[
    'U U', 
    'ECE', 
    'U U'
   ], {
     U: '#forbidden_arcanus:clibano/creates_soul_fire',
     E: 'forbidden_arcanus:arcane_crystal',
     C: 'forbidden_arcanus:deorum_ingot'
   })

   e.custom(
    {
      "type": "ae2:transform",
      "circumstance": {
        "type": "fluid",
        "tag": "forge:fuel_oil"
      },
      "ingredients": [
        {
          "item": "solarcraft:runic_log"
        },
        {
          "item": "minecraft:redstone"
        }
      ],
      "result": {
        "item": "forbidden_arcanus:edelwood_log"
      }
    }
)
  
   
   //含铁黑曜石
   //神秘水晶粉
   e.remove({ output: 'forbidden_arcanus:arcane_crystal_dust',type:"minecraft:smelting"})
   e.remove({ output: 'forbidden_arcanus:arcane_crystal_dust',type:"minecraft:blasting"})
   e.remove({ output: 'forbidden_arcanus:obsidian_with_iron'})
   alloy_smelting("2x forbidden_arcanus:obsidian_with_iron", ["#forge:dusts/obsidian", "4x #forge:dusts/iron","forbidden_arcanus:dark_matter"], 20000);
   sag_milling(["forbidden_arcanus:arcane_crystal_dust",Item.of("minecraft:phantom_membrane", 1).withChance(0.15),Item.of("minecraft:blaze_powder", 2).withChance(0.08)], "forbidden_arcanus:arcane_crystal").energy(5000);
   
  
      
      
  
  
  
  
  })
  